Bug 216348 - net-mgmt/seafile-client: Updated to 6.0.2
Summary: net-mgmt/seafile-client: Updated to 6.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL: https://github.com/haiwen/seafile/com...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-01-21 17:43 UTC by Ultima
Modified: 2017-01-24 19:39 UTC (History)
2 users (show)

See Also:


Attachments
seafile-client.diff (16.74 KB, patch)
2017-01-21 17:43 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-client.diff (16.74 KB, patch)
2017-01-22 05:35 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2017-01-21 17:43:13 UTC
Created attachment 179187 [details]
seafile-client.diff

This is an update to seafile-client to the most current version, 6.0.2. This is mostly a clean up update and much of the -server code was removed. As a result many patchfiles were removed or regenerated.

* Updated to 6.0.2
* Removed -server options
* Regenerated/removed patchfiles

 - Return error detail for clone and sync tasks.
 - Save file sync errors to database.
 - Use unified progress for multipart uploads.
 - Remove server code.
 - Use GLib to calculate SHA1.
 - Allow compiling with GPL-compatible crypto libraries.
 - Fix some bugs.
 - Add back seafile python library.


portlint -AC:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
12amd64: success https://poudriere.ultimasbox.com/data/12amd64-test/2017-01-19_12h42m50s/logs/seafile-client-6.0.2.log
12i386: success https://poudriere.ultimasbox.com/data/12i386-test/2017-01-19_12h42m52s/logs/seafile-client-6.0.2.log
110amd64: success https://poudriere.ultimasbox.com/data/110amd64-test/2017-01-19_12h42m48s/logs/seafile-client-6.0.2.log
110i386: success https://poudriere.ultimasbox.com/data/110i386-test/2017-01-19_12h42m49s/logs/seafile-client-6.0.2.log
103amd64: success https://poudriere.ultimasbox.com/data/103amd64-test/2017-01-19_12h42m46s/logs/seafile-client-6.0.2.log
103i386: success https://poudriere.ultimasbox.com/data/103i386-test/2017-01-19_12h42m47s/logs/seafile-client-6.0.2.log
Comment 1 Nikolai Lifanov freebsd_committer 2017-01-22 00:03:45 UTC
I can't actually fetch this:

=> Attempting to fetch https://codeload.github.com/haiwen/seafile/tar.gz/v6.0.2?dummy=/haiwen-seafile-v6.0.2_GH0.tar.gz
fetch: https://codeload.github.com/haiwen/seafile/tar.gz/v6.0.2?dummy=/haiwen-seafile-v6.0.2_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/haiwen/seafile/tar.gz/v6.0.2?dummy=/haiwen-seafile-v6.0.2_GH0.tar.gz: size of remote file is not known
haiwen-seafile-v6.0.2_GH0.tar.gz                         0  B    0  Bps
=> Fetched file size mismatch (expected 455040, actual 454751)
=> Trying next site
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/haiwen-seafile-v6.0.2_GH0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/haiwen-seafile-v6.0.2_GH0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1

Maybe regenerate distinfo?
Comment 2 Ultima 2017-01-22 05:35:07 UTC
Created attachment 179205 [details]
seafile-client.diff

(In reply to Nikolai Lifanov from comment #1)
If I had a dime for every time they changed the commit on a tag...
Comment 3 Nikolai Lifanov freebsd_committer 2017-01-22 16:04:47 UTC
I feel your pain :)
If you look at history of sysutils/ansible, it moved to and from Github several times, including upstream rerolling tarballs on their website.
Comment 4 commit-hook freebsd_committer 2017-01-24 19:37:37 UTC
A commit references this bug:

Author: lifanov
Date: Tue Jan 24 19:37:02 UTC 2017
New revision: 432377
URL: https://svnweb.freebsd.org/changeset/ports/432377

Log:
  update net-mgmt/seafile-client

  Changes: https://github.com/haiwen/seafile/commits/v6.0.2

  * Removed -server options
  * Regenerated/removed patchfiles

   - Return error detail for clone and sync tasks.
   - Save file sync errors to database.
   - Use unified progress for multipart uploads.
   - Remove server code.
   - Use GLib to calculate SHA1.
   - Allow compiling with GPL-compatible crypto libraries.
   - Fix some bugs.
   - Add back seafile python library.

  PR:		216348
  Submitted by:	ultima1252@gmail.com (maintainer)
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9292

Changes:
  head/net-mgmt/seafile-client/Makefile
  head/net-mgmt/seafile-client/distinfo
  head/net-mgmt/seafile-client/files/patch-configure.ac
  head/net-mgmt/seafile-client/files/patch-controller_seafile-controller.c
  head/net-mgmt/seafile-client/files/patch-daemon_Makefile.am
  head/net-mgmt/seafile-client/files/patch-daemon_vc-utils.c
  head/net-mgmt/seafile-client/files/patch-scripts_setup-seafile.sh
  head/net-mgmt/seafile-client/files/patch-scripts_upgrade_regenerate__secret__key.sh
  head/net-mgmt/seafile-client/files/patch-server_access-file.c
  head/net-mgmt/seafile-client/pkg-plist
Comment 5 Nikolai Lifanov freebsd_committer 2017-01-24 19:39:00 UTC
Committed, thanks!